<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="PembelianRetur"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="toko" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="idRetur" isForPrompting="false" class="java.lang.Integer"/>
	<queryString><![CDATA[select id, invoice_no , invoice_date, no_po, nama_gudang, supplier_id, nama_supplier, 
jt_tempo, description, ap_disc, abs(nett) as nett, plu, nama_barang, abs(qty) as qty, satuan, unit_price, disc, 
ppn, biaya, abs(sub_total) as sub_total , keterangan from fn_rpt_print_pembelian($P{idRetur}::bigint) as (id bigint, invoice_no varchar, invoice_date date, no_po varchar, nama_gudang varchar, supplier_id bigint, nama_supplier varchar, 
jt_tempo date, description text, ap_disc varchar, nett double precision, plu varchar, nama_barang varchar, qty double precision, satuan varchar, unit_price double precision, disc varchar, ppn double precision, biaya double precision, 
sub_total double precision, keterangan varchar)]]></queryString>

	<field name="id" class="java.lang.Long"/>
	<field name="invoice_no" class="java.lang.String"/>
	<field name="invoice_date" class="java.sql.Date"/>
	<field name="no_po" class="java.lang.String"/>
	<field name="nama_gudang" class="java.lang.String"/>
	<field name="supplier_id" class="java.lang.Long"/>
	<field name="nama_supplier" class="java.lang.String"/>
	<field name="jt_tempo" class="java.sql.Date"/>
	<field name="description" class="java.lang.String"/>
	<field name="ap_disc" class="java.lang.String"/>
	<field name="nett" class="java.lang.Double"/>
	<field name="plu" class="java.lang.String"/>
	<field name="nama_barang" class="java.lang.String"/>
	<field name="qty" class="java.lang.Double"/>
	<field name="satuan" class="java.lang.String"/>
	<field name="unit_price" class="java.lang.Double"/>
	<field name="disc" class="java.lang.String"/>
	<field name="ppn" class="java.lang.Double"/>
	<field name="biaya" class="java.lang.Double"/>
	<field name="sub_total" class="java.lang.Double"/>
	<field name="keterangan" class="java.lang.String"/>

	<variable name="totQty" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{qty}]]></variableExpression>
	</variable>
	<variable name="totBiaya" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{biaya}]]></variableExpression>
	</variable>
	<variable name="totSubTotal" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{sub_total}]]></variableExpression>
	</variable>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="200"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="535"
						height="24"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Tahoma" size="14" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{toko}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="24"
						width="535"
						height="42"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Center">
						<font fontName="Tahoma" size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{alamat1}+"\n"+
$P{alamat2}+"\n"+
$P{telp}+"\n"+
$P{email}+"\n"]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						mode="Opaque"
						x="325"
						y="66"
						width="210"
						height="21"
						backcolor="#CCCCCC"
						key="staticText-1"/>
					<box>					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="1.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Tahoma" size="14" isBold="true"/>
					</textElement>
				<text><![CDATA[Retur Pembelian]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="87"
						width="61"
						height="14"
						key="staticText-2"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[No. Bukti]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="101"
						width="61"
						height="14"
						key="staticText-3"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[Tanggal]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="115"
						width="61"
						height="14"
						key="staticText-4"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[No. PO]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="129"
						width="61"
						height="14"
						key="staticText-5"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[Tgl. PO]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="143"
						width="61"
						height="14"
						key="staticText-6"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[Gudang]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="325"
						y="157"
						width="61"
						height="14"
						key="staticText-7"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[Supplier]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="87"
						width="143"
						height="14"
						key="textField"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{invoice_no}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd-MMM-yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="101"
						width="143"
						height="14"
						key="textField-1"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[$F{invoice_date}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="115"
						width="143"
						height="14"
						key="textField-2"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{no_po}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd-MMM-yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="129"
						width="143"
						height="14"
						key="textField-3"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[$F{invoice_date}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="143"
						width="143"
						height="14"
						key="textField-4"/>
					<box leftPadding="2" rightPadding="2">					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{nama_gudang}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="392"
						y="157"
						width="143"
						height="14"
						key="textField-5"/>
					<box leftPadding="2" rightPadding="2">					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
					<rightPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{nama_supplier}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="386"
						y="87"
						width="6"
						height="14"
						key="staticText-8"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="101"
						width="6"
						height="14"
						key="staticText-9"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="129"
						width="6"
						height="14"
						key="staticText-10"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="115"
						width="6"
						height="14"
						key="staticText-11"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="143"
						width="6"
						height="14"
						key="staticText-12"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="157"
						width="6"
						height="14"
						key="staticText-13"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[:]]></text>
				</staticText>
				<rectangle>
					<reportElement
						mode="Transparent"
						x="0"
						y="91"
						width="280"
						height="80"
						key="rectangle-1"/>
					<graphicElement stretchType="NoStretch"/>
				</rectangle>
				<staticText>
					<reportElement
						x="6"
						y="94"
						width="61"
						height="14"
						key="staticText-14"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<text><![CDATA[Keterangan :]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="6"
						y="108"
						width="267"
						height="58"
						key="textField-6"/>
					<box leftPadding="2" rightPadding="2">					<leftPen lineWidth="0.0"/>
</box>
					<textElement verticalAlignment="Top">
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{description}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="188"
						width="45"
						height="12"
						key="staticText-15"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Kode Stok]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="45"
						y="188"
						width="143"
						height="12"
						key="staticText-16"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Nama Stok]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="188"
						y="188"
						width="37"
						height="12"
						key="staticText-17"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Qty]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="225"
						y="188"
						width="39"
						height="12"
						key="staticText-18"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Satuan]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="264"
						y="188"
						width="54"
						height="12"
						key="staticText-19"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Harga]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="377"
						y="188"
						width="41"
						height="12"
						key="staticText-20"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Biaya]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="418"
						y="188"
						width="65"
						height="12"
						key="staticText-21"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Total]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="318"
						y="188"
						width="35"
						height="12"
						key="staticText-22"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Disc]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="353"
						y="188"
						width="24"
						height="12"
						key="staticText-23"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[PPn]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="483"
						y="188"
						width="52"
						height="12"
						key="staticText-24"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Keterangan]]></text>
				</staticText>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="11"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="45"
						height="11"
						key="textField-7"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{plu}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="45"
						y="0"
						width="143"
						height="11"
						key="textField-8"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{nama_barang}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="188"
						y="0"
						width="37"
						height="11"
						key="textField-9"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{qty}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="264"
						y="0"
						width="54"
						height="11"
						key="textField-10"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{unit_price}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="225"
						y="0"
						width="39"
						height="11"
						key="textField-11"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{satuan}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="318"
						y="0"
						width="35"
						height="11"
						key="textField-12"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{disc}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="353"
						y="0"
						width="24"
						height="11"
						key="textField-13"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{ppn}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="377"
						y="0"
						width="41"
						height="11"
						key="textField-14"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{biaya}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="418"
						y="0"
						width="65"
						height="11"
						key="textField-15"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{sub_total}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="483"
						y="0"
						width="52"
						height="11"
						key="textField-16"/>
					<box leftPadding="1" rightPadding="1">					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{keterangan}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="20"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="94"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="377"
						y="0"
						width="41"
						height="11"
						key="textField-17"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75" lineStyle="Solid"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{totBiaya}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="418"
						y="0"
						width="65"
						height="11"
						key="textField-18"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75" lineStyle="Solid"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{totSubTotal}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="188"
						y="0"
						width="37"
						height="11"
						key="textField-19"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75" lineStyle="Solid"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{totQty}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="45"
						y="0"
						width="143"
						height="11"
						key="staticText-25"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Total Pembelian]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="0"
						y="0"
						width="45"
						height="11"
						key="staticText-26"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="225"
						y="0"
						width="152"
						height="11"
						key="staticText-27"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="483"
						y="0"
						width="52"
						height="11"
						key="staticText-28"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="450"
						y="57"
						width="85"
						height="11"
						key="textField-20"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{ap_disc}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="386"
						y="57"
						width="64"
						height="11"
						key="staticText-29"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Disc]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="386"
						y="68"
						width="64"
						height="11"
						key="staticText-30"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Grand Total]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="450"
						y="68"
						width="85"
						height="11"
						key="textField-21"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{nett}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="450"
						y="38"
						width="85"
						height="11"
						key="textField-22"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.75" lineStyle="Solid"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{totSubTotal}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="386"
						y="38"
						width="64"
						height="11"
						key="staticText-31"/>
					<box leftPadding="1" rightPadding="1">					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Sub Total]]></text>
				</staticText>
			</band>
		</summary>
</jasperReport>
